TranslateMode

Printer Mode Manager

USB Printer can work in two different mode: USB Vendor Class and USB Printer Class

1. Instruction of RP-600 with USB port printer work mode

1.1 USB Vendor Class

In this work mode, the device driver is developed by ourselves. We call this mode as "API Mode".

1.2 USB Printer Class

In this work mode,the device driver is provided by Microsoft .We call this mode as "Printer Mode".

2. Translate device mode

2.1 Check online device

Plug in printer with USB port, click [Get Online Device] key, the dialog will show all devices with USB port connected to host computer. you can find the different work mode device in the correlative list box.

2.2 Translate printer work mode from USB Printer Class mode to USB Vendor Class mode

First select printer type,then select the printer works in USB Printer Class mode that you will translate its work mode, click [API mode] key to translate its work mode to USB Vendor Class mode. if translation command was send successfully, application would popup a message box to show success information. wait for a moment then power off and power on the device again. Click [Get Online Device] key to check result.

2.3 Translate printer work mode from USB Vendor Class to USB Printer Class mode

First select printer type, then select the printer words in API mode that you will translate its work mode, click [Printer mode] key to translate its work mode to Printer Class mode. if translation command was send successfully, application would pop up a message box to show success information. wait for a moment then power off and power on the device again. Click [Get online device] key to check result.

Notes:

When connect API-Mode USB printer ,you need install USB device dirver.